# DataExchange
TKSTEPBase
StepBasic

# StepBasic_DimensionalExponents Class Reference

`#include <StepBasic_DimensionalExponents.hxx>`

## Public Member Functions

Standard_EXPORT | StepBasic_DimensionalExponents ()
| Returns a DimensionalExponents .
virtual Standard_EXPORT void | Init (const Standard_Real aLengthExponent, const Standard_Real aMassExponent, const Standard_Real aTimeExponent, const Standard_Real aElectricCurrentExponent, const Standard_Real aThermodynamicTemperatureExponent, const Standard_Real aAmountOfSubstanceExponent, const Standard_Real aLuminousIntensityExponent)
Standard_EXPORT void | SetLengthExponent (const Standard_Real aLengthExponent)
Standard_EXPORT Standard_Real | LengthExponent () const
Standard_EXPORT void | SetMassExponent (const Standard_Real aMassExponent)
Standard_EXPORT Standard_Real | MassExponent () const
Standard_EXPORT void | SetTimeExponent (const Standard_Real aTimeExponent)
Standard_EXPORT Standard_Real | TimeExponent () const
Standard_EXPORT void | SetElectricCurrentExponent (const Standard_Real aElectricCurrentExponent)
Standard_EXPORT Standard_Real | ElectricCurrentExponent () const
Standard_EXPORT void | SetThermodynamicTemperatureExponent (const Standard_Real aThermodynamicTemperatureExponent)
Standard_EXPORT Standard_Real | ThermodynamicTemperatureExponent () const
Standard_EXPORT void | SetAmountOfSubstanceExponent (const Standard_Real aAmountOfSubstanceExponent)
Standard_EXPORT Standard_Real | AmountOfSubstanceExponent () const
Standard_EXPORT void | SetLuminousIntensityExponent (const Standard_Real aLuminousIntensityExponent)
Standard_EXPORT Standard_Real | LuminousIntensityExponent () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | lengthExponent
Standard_Real | massExponent
Standard_Real | timeExponent
Standard_Real | electricCurrentExponent
Standard_Real | thermodynamicTemperatureExponent
Standard_Real | amountOfSubstanceExponent
Standard_Real | luminousIntensityExponent

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_DimensionalExponents::StepBasic_DimensionalExponents | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Real StepBasic_DimensionalExponents::AmountOfSubstanceExponent | ( |  | ) | const

Standard_EXPORT Standard_Real StepBasic_DimensionalExponents::ElectricCurrentExponent | ( |  | ) | const

Standard_EXPORT const StepBasic_DimensionalExponents::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepBasic_DimensionalExponents::Init | ( | const Standard_Real | aLengthExponent,
|  | const Standard_Real | aMassExponent,
|  | const Standard_Real | aTimeExponent,
|  | const Standard_Real | aElectricCurrentExponent,
|  | const Standard_Real | aThermodynamicTemperatureExponent,
|  | const Standard_Real | aAmountOfSubstanceExponent,
|  | const Standard_Real | aLuminousIntensityExponent
| ) | `[virtual]`

Standard_EXPORT Standard_Real StepBasic_DimensionalExponents::LengthExponent | ( |  | ) | const

Standard_EXPORT Standard_Real StepBasic_DimensionalExponents::LuminousIntensityExponent | ( |  | ) | const

Standard_EXPORT Standard_Real StepBasic_DimensionalExponents::MassExponent | ( |  | ) | const

Standard_EXPORT void StepBasic_DimensionalExponents::SetAmountOfSubstanceExponent | ( | const Standard_Real | aAmountOfSubstanceExponent | ) |

Standard_EXPORT void StepBasic_DimensionalExponents::SetElectricCurrentExponent | ( | const Standard_Real | aElectricCurrentExponent | ) |

Standard_EXPORT void StepBasic_DimensionalExponents::SetLengthExponent | ( | const Standard_Real | aLengthExponent | ) |

Standard_EXPORT void StepBasic_DimensionalExponents::SetLuminousIntensityExponent | ( | const Standard_Real | aLuminousIntensityExponent | ) |

Standard_EXPORT void StepBasic_DimensionalExponents::SetMassExponent | ( | const Standard_Real | aMassExponent | ) |

Standard_EXPORT void StepBasic_DimensionalExponents::SetThermodynamicTemperatureExponent | ( | const Standard_Real | aThermodynamicTemperatureExponent | ) |

Standard_EXPORT void StepBasic_DimensionalExponents::SetTimeExponent | ( | const Standard_Real | aTimeExponent | ) |

Standard_EXPORT Standard_Real StepBasic_DimensionalExponents::ThermodynamicTemperatureExponent | ( |  | ) | const

Standard_EXPORT Standard_Real StepBasic_DimensionalExponents::TimeExponent | ( |  | ) | const

## Field Documentation

Standard_Real StepBasic_DimensionalExponents::amountOfSubstanceExponent `[private]`

Standard_Real StepBasic_DimensionalExponents::electricCurrentExponent `[private]`

Standard_Real StepBasic_DimensionalExponents::lengthExponent `[private]`

Standard_Real StepBasic_DimensionalExponents::luminousIntensityExponent `[private]`

Standard_Real StepBasic_DimensionalExponents::massExponent `[private]`

Standard_Real StepBasic_DimensionalExponents::thermodynamicTemperatureExponent `[private]`

Standard_Real StepBasic_DimensionalExponents::timeExponent `[private]`

The documentation for this class was generated from the following file:

- StepBasic_DimensionalExponents.hxx